Bug 964269 - migrate.rb#validate_gear sometimes yields inaccurate response code
migrate.rb#validate_gear sometimes yields inaccurate response code
Status: CLOSED WONTFIX
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Dan McPherson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 13:12 EDT by Paul Morie
Modified: 2015-05-14 19:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-29 23:33:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Morie 2013-05-17 13:12:51 EDT
migrate.rb#validate_gear sometimes yields inaccurate response code - after I migrate a nodejs app, the response code logged is 503, but I can hit the migrated app in the browser.
Comment 1 Dan Mace 2013-05-17 15:30:11 EDT
Resolved by https://github.com/openshift/li/pull/1413
Comment 2 Dan Mace 2013-05-17 15:31:03 EDT
(In reply to comment #1)
> Resolved by https://github.com/openshift/li/pull/1413

Risregard; commented on the wrong issue.
Comment 3 Dan McPherson 2013-05-17 17:54:56 EDT
https://github.com/openshift/li/pull/1415
Comment 4 Meng Bo 2013-05-20 04:31:07 EDT
This issue still can be reproduced on devenv_3247 for nodejs app.

Migrating cartridge nodejs
Marking step nodejs_create_directory complete
Marking step nodejs_setup complete
Marking step nodejs_erb complete
applying nodejs-0.6 migration post-process
Marking step nodejs_hook complete
Marking step nodejs_ownership complete
Marking step nodejs_connect_frontend complete
Pre-migration state: started
Post-migration response code: 503
Marking step validate_gear complete
Cleaning up after migration***time_migrate_on_node_measured_from_node=111486***

***time_redeploy_httpd_proxy=0***
***time_restart=0***
***time_total_migrate_gear_measured_from_broker=113560***


And the nodejs app can be accessed after migration.
Comment 5 Paul Morie 2013-05-29 23:33:01 EDT
This issue is also present for Jboss apps.  That said, there's been a retry added already for this check - we're going to stick with the single retry.

Note You need to log in before you can comment on or make changes to this bug.